﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using Infragistics;
using Infragistics.Controls.Charts;

namespace TilesTest2
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();

            GroupBy gb = new GroupBy();
            gb.ItemsSource = new SeriesData();
            gb.GroupMemberPath = "Group";
            gb.KeyMemberPath = "Currency";
            gb.ValueMemberPath = "Value";

            (barChart.Axes[0] as CategoryXAxis).ItemsSource = gb;
            (barChart.Series[0] as StackedColumnSeries).ItemsSource = gb;
            
        }
    }

    public class SeriesData : ObservableCollection<DataPoint>
    {
        public SeriesData()
        {
            Add(new DataPoint
            {
                Currency = "GBP",
                Date = "May 2001",
                Value = 1500
            });
            Add(new DataPoint
            {
                Currency = "USD",
                Date = "May 2001",
                Value = 2500
            });

            Add(new DataPoint
            {
                Currency = "EUR",
                Date = "May 2001",
                Value = 1800
            });
        }
    }

    public class DataPoint
    {
        public string Date { get; set; }
        public double Value { get; set; }
        public string Currency { get; set; }
    }
}
